<!--
 * @Author: your name
 * @Date: 2022-03-25 15:45:02
 * @LastEditTime: 2022-03-31 17:06:05
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: /ts-admin/src/views/components/win3/indexYear.vue
-->
<template>
  <!--动画-->
  <transition name="el-fade-in">
    <el-dialog
      center
      :title="title"
      :visible.sync="visible"
      width="800px"
      top="80px"
      :append-to-body="true"
      :destroy-on-close="true"
      @close="close"
    >
      <slot />
      <div >
        <slot name="footer" />
      </div>
    </el-dialog>
  </transition>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      default: ''
    }
  },
  data() {
    return {
      visible: true
    }
  },
  mounted() {
    try {
      window.onresize = function() {
        document.querySelectorAll('.cus-dialog').forEach(v => {
          v.style.width = document.querySelector('.app-main').clientWidth + 'px'
          v.style.height = '100%'
        })
      }
      window.onresize()
    } catch (e) {
      console.error(e)
    }
  },
  methods: {
    close() {
      this.visible = false
      this.$emit('close')
    }
  }
}
</script>

<style lang="scss" scoped>
.el-dialog__body {
  max-height: calc(100vh - 200px);
  overflow-y: auto;
  padding-top: 20px;
  border-radius: 20px;
}
.el-dialog {
  border-radius: 10px;
  .el-dialog__header{
    text-align: left;
    font-weight: 600;
  }
}
</style>
